juststeveking/laravel-erp

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

A simple to use opinionated ERP package to work with Laravel

dev-main 2021-07-22 20:42 UTC

This package is auto-updated.

Last update: 2021-08-22 20:47:59 UTC


README

Latest Version on Packagist GitHub Tests Action Status Total Downloads

A simple to use opinionated ERP package to work with Laravel

Installation

You can install the package via composer:

composer require juststeveking/laravel-erp

Migrations

You can publish and run the migrations with:

php artisan vendor:publish --provider="JustSteveKing\Laravel\ERP\ERPServiceProvider" --tag="erp-migrations"
php artisan migrate

Configuration

You can publish the config file with:

php artisan vendor:publish --provider="JustSteveKing\Laravel\ERP\ERPServiceProvider" --tag="erp-config"

This is the contents of the published config file:

return [];

Testing

To run the tests in parallel:

composer run test

To run the tests with a coverage report:

composer run test-coverage

Contributing

Please see CONTRIBUTING for details.

Security Vulnerabilities

Please review our security policy on how to report security vulnerabilities.

Credits

License

The MIT License (MIT). Please see License File for more information.